%define name 	rlplot
%define version 1.5
%define release %mkrel 1

Summary: 	Data Plotting and Graphing
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://prdownloads.sourceforge.net/%{name}/%{name}_%version.tar.gz
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL: 		http://rlplot.sourceforge.net
License: 	GPLv2+
Group: 		Sciences/Other
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	qt4-devel
Obsoletes:	RLPlot
Provides:	RLPlot

%description
RLPlot is is a plotting program to create high quality graphs from data. 
Based on values stored in a spreadsheet several menus help you to create 
graphs of your choice. The Graphs are displayed as you get them (Wysiwyg). 
Double click any element of the graph (or a single click with the right 
mouse button) to modify its properties.

%prep
%setup -q -n %{name}

perl -pi -e 's/\-O2/\$\(RPM_OPT_FLAGS\)/g' Makefile
perl -pi -e 's/bin\/moc-qt4/bin\/moc/g' Makefile
perl -pi -e 's/usr\/include\/Qt/usr\/lib\/qt4\/include \-I\/usr\/lib\/qt4\/include\/Qt/g' Makefile
perl -pi -e 's/X11R6\/lib/%{_lib}/g' Makefile

# fix overlinking
perl -pi -e 's/\-lX11//g' Makefile

%build
%make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
install -m 755 rlplot %{buildroot}%{_bindir}
install -m 755 exprlp %{buildroot}%{_bindir}

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=RLPlot
Comment=Data plotting and graphing
Exec=rlplot
Icon=rlplot
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Other;Science;
EOF

#icons
mkdir -p %{buildroot}%{_liconsdir}
cat %{SOURCE1} > %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
cat %{SOURCE2} > %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
cat %{SOURCE3} > %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post 
%{update_menus}
%endif

%if %mdkversion < 200900
%postun 
%{clean_menus}
%endif

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_bindir}/exprlp
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*
%defattr(644,root,root,0755)
%doc README gpl.txt




%changelog
* Mon May 25 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5-1mdv2010.0
+ Revision: 379354
- update to new version 1.5
- use Qt4 instead of Qt3 (the new version supports both)
- fix overlinking
- fix license (GPLv2+)
- cosmetic changes

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-4mdv2009.0
+ Revision: 260241
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2009.0
+ Revision: 251320
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Mon Feb 26 2007 Lenny Cartier <lenny@mandriva.com> 1.3-1mdv2007.0
+ Revision: 125788
- Update to 1.3

* Wed Oct 25 2006 Lenny Cartier <lenny@mandriva.com> 1.2-1mdv2007.1
+ Revision: 72473
- Update to 1.2 and xdg menu
- Import rlplot

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 1.1-1mdk
- New release 1.1
- lib64 fix

* Mon Oct 10 2005 Austin Acton <austin@mandriva.org> 1.0-1mdk
- New release 1.0

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.99.14-1mdk
- 0.99.14
- build opts

* Mon Dec 27 2004 Austin Acton <austin@mandrake.org> 0.99.12b-1mdk
- 0.99.12b
- decapitalize name
- new menu

* Fri Jun 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99b-2mdk
- rebuild

